VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator

- a
- b
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Here is a list of all class members with links to the classes they belong to:

### - g -

- getAttributes() : IStreamAttributes , IMessage
- getBinary() : IAttributeList
- getBusArrangement() : IAudioProcessor
- getBusCount() : IComponent
- getBusInfo() : IComponent
- getComponent() : ITestPlugProvider
- getComponentUID() : ITestPlugProvider
- getController() : ITestPlugProvider
- getControllerClassId() : IComponent
- getDescription() : ITest
- getEvent() : IEventList
- getEventCount() : IEventList
- getFileName() : IStreamAttributes
- getFloat() : IAttributeList
- getHostIcon() : IInterAppAudioHost
- getInt() : IAttributeList
- getItem() : IContextMenu
- getItemCount() : IContextMenu
- getKeyswitchCount() : IKeyswitchController
- getKeyswitchInfo() : IKeyswitchController
- getLatencySamples() : IAudioProcessor
- getMessageID() : IMessage
- getMidiControllerAssignment() : IMidiMapping
- getName() : IHostApplication
- getNoteExpressionCount() : INoteExpressionController
- getNoteExpressionInfo() : INoteExpressionController
- getNoteExpressionStringByValue() : INoteExpressionController
- getNoteExpressionValueByString() : INoteExpressionController
- getParameterCount() : IEditController , IParameterChanges
- getParameterData() : IParameterChanges
- getParameterId() : IParamValueQueue
- getParameterIDFromFunctionName() : IParameterFunctionName
- getParameterInfo() : IEditController
- getParamNormalized() : IEditController
- getParamStringByValue() : IEditController
- getParamValueByString() : IEditController
- getPhysicalUIMapping() : INoteExpressionPhysicalUIMapping
- getPluginFactory() : ITestPlugProvider2
- getPoint() : IParamValueQueue
- getPointCount() : IParamValueQueue
- getPrefetchableSupport() : IPrefetchableSupport
- getProcessContextRequirements() : IProcessContextRequirements
- getProgramData() : IProgramListData
- getProgramInfo() : IUnitInfo
- getProgramListCount() : IUnitInfo
- getProgramListInfo() : IUnitInfo
- getProgramName() : IUnitInfo
- getProgramPitchName() : IUnitInfo
- getRoutingInfo() : IComponent
- getScreenSize() : IInterAppAudioHost
- getSelectedUnit() : IUnitInfo
- getState() : IEditController , IComponent
- getString() : IAttributeList
- getSubCategories() : ITestPlugProvider
- getSystemTime() : IComponentHandlerSystemTime
- getTailSamples() : IAudioProcessor
- getUnitByBus() : IUnitInfo
- getUnitCount() : IUnitInfo
- getUnitData() : IUnitData
- getUnitInfo() : IUnitInfo
- getXmlRepresentationStream() : IXmlRepresentationController

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.